grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.6-10-g281bfe6


From: Jim Meyering
Subject: grep branch, master, updated. v2.6-10-g281bfe6
Date: Thu, 25 Mar 2010 09:52:34 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  281bfe635874936073b3305c462626fa1b448fd6 (commit)
      from  a2322154752830e052fc8b0ff4dbf73c53ded841 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=281bfe635874936073b3305c462626fa1b448fd6


commit 281bfe635874936073b3305c462626fa1b448fd6
Author: Jim Meyering <address@hidden>
Date:   Thu Mar 25 10:30:17 2010 +0100

    tests: provide framework_failure_ function
    
    The shell function "framework_failure" was called in the unusual
    event that some fundamental test set-up operation would fail.
    However it was not defined.  Define it, but with a trailing underscore
    to impinge less on the test writer's name space.  Adjust all uses.
    * tests/init.sh (framework_failure_): New function.
    * tests/case-fold-backref: s/framework_failure/framework_failure_/
    * tests/case-fold-char-class: Likewise.
    * tests/case-fold-char-range: Likewise.
    * tests/case-fold-char-type: Likewise.
    * tests/char-class-multibyte: Likewise.
    * tests/dfaexec-multibyte: Likewise.
    * tests/max-count-vs-context: Likewise.
    * tests/word-multi-file: Likewise.

diff --git a/tests/case-fold-backref b/tests/case-fold-backref
index d342ad7..c8b14a3 100644
--- a/tests/case-fold-backref
+++ b/tests/case-fold-backref
@@ -3,7 +3,7 @@
 : ${srcdir=.}
 . "$srcdir/init.sh"; path_prepend_ ../src
 
-printf 'foo foo\nFoo foo\nFOO foo\n'      > exp1 || framework_failure
+printf 'foo foo\nFoo foo\nFOO foo\n'      > exp1 || framework_failure_
 fail=0
 
 for LOC in en_US.UTF-8 en_US zh_CN $LOCALE_FR_UTF8 C; do
diff --git a/tests/case-fold-char-class b/tests/case-fold-char-class
index 09f753b..3722f7e 100644
--- a/tests/case-fold-char-class
+++ b/tests/case-fold-char-class
@@ -3,7 +3,7 @@
 : ${srcdir=.}
 . "$srcdir/init.sh"; path_prepend_ ../src
 
-printf 'Y\n'      > exp1 || framework_failure
+printf 'Y\n'      > exp1 || framework_failure_
 fail=0
 
 for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
@@ -12,7 +12,7 @@ for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
   compare $out exp1 || fail=1
 done
 
-printf 'y\n'      > exp2 || framework_failure
+printf 'y\n'      > exp2 || framework_failure_
 
 for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
   out=out2-$LOC
diff --git a/tests/case-fold-char-range b/tests/case-fold-char-range
index 98978b0..799ea9c 100644
--- a/tests/case-fold-char-range
+++ b/tests/case-fold-char-range
@@ -3,7 +3,7 @@
 : ${srcdir=.}
 . "$srcdir/init.sh"; path_prepend_ ../src
 
-printf 'A\nZ\n'      > exp1 || framework_failure
+printf 'A\nZ\n'      > exp1 || framework_failure_
 fail=0
 
 for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
@@ -13,7 +13,7 @@ for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
 done
 
 # This actually passes also for grep-2.5.3
-printf 'a\nz\n'      > exp2 || framework_failure
+printf 'a\nz\n'      > exp2 || framework_failure_
 
 for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
   out=out2-$LOC
diff --git a/tests/case-fold-char-type b/tests/case-fold-char-type
index 0986248..ca0b3c3 100644
--- a/tests/case-fold-char-type
+++ b/tests/case-fold-char-type
@@ -3,7 +3,7 @@
 : ${srcdir=.}
 . "$srcdir/init.sh"; path_prepend_ ../src
 
-printf 'Y\n'      > exp1 || framework_failure
+printf 'Y\n'      > exp1 || framework_failure_
 fail=0
 
 for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
@@ -12,7 +12,7 @@ for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
   compare $out exp1 || fail=1
 done
 
-printf 'y\n'      > exp2 || framework_failure
+printf 'y\n'      > exp2 || framework_failure_
 
 for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
   out=out2-$LOC
diff --git a/tests/char-class-multibyte b/tests/char-class-multibyte
index 5183ad6..fccf13d 100644
--- a/tests/char-class-multibyte
+++ b/tests/char-class-multibyte
@@ -3,7 +3,7 @@
 : ${srcdir=.}
 . "$srcdir/init.sh"; path_prepend_ ../src
 
-printf 'é\n'      > exp1 || framework_failure
+printf 'é\n'      > exp1 || framework_failure_
 fail=0
 
 for LOC in en_US.UTF-8 $LOCALE_FR_UTF8; do
@@ -12,7 +12,7 @@ for LOC in en_US.UTF-8 $LOCALE_FR_UTF8; do
   compare $out exp1 || fail=1
 done
 
-printf 'É\n'      > exp2 || framework_failure
+printf 'É\n'      > exp2 || framework_failure_
 
 for LOC in en_US.UTF-8 $LOCALE_FR_UTF8; do
   out=out2-$LOC
diff --git a/tests/dfaexec-multibyte b/tests/dfaexec-multibyte
index 1798768..2f3e5d4 100644
--- a/tests/dfaexec-multibyte
+++ b/tests/dfaexec-multibyte
@@ -3,8 +3,8 @@
 : ${srcdir=.}
 . "$srcdir/init.sh"; path_prepend_ ../src
 
-printf 'aa\nab\nba\nbb\n' > exp1 || framework_failure
-printf '1 2 3\n' > exp2 || framework_failure
+printf 'aa\nab\nba\nbb\n' > exp1 || framework_failure_
+printf '1 2 3\n' > exp2 || framework_failure_
 
 fail=0
 
diff --git a/tests/init.sh b/tests/init.sh
index 979eb3c..b183191 100644
--- a/tests/init.sh
+++ b/tests/init.sh
@@ -61,6 +61,7 @@ Exit () { set +e; (exit $1); exit $1; }
 
 fail_() { echo "$ME_: failed test: $@" 1>&2; Exit 1; }
 skip_() { echo "$ME_: skipped test: $@" 1>&2; Exit 77; }
+framework_failure_() { echo "$ME_: set-up failure: $@" 1>&2; Exit 1; }
 
 # This is a stub function that is run upon trap (upon regular exit and
 # interrupt).  Override it with a per-test function, e.g., to unmount
diff --git a/tests/max-count-vs-context b/tests/max-count-vs-context
index f10e26b..7713bbb 100755
--- a/tests/max-count-vs-context
+++ b/tests/max-count-vs-context
@@ -3,7 +3,7 @@
 : ${srcdir=.}
 . "$srcdir/init.sh"; path_prepend_ ../src
 
-cat <<EOF > in || framework_failure
+cat <<EOF > in || framework_failure_
 needle
 1st line of context
 2nd line of context
@@ -13,7 +13,7 @@ another needle
 6th line...
 EOF
 
-sed 4q in > exp || framework_failure
+sed 4q in > exp || framework_failure_
 
 fail=0
 grep -m1 -A5 needle in > out 2>err || fail=1
diff --git a/tests/word-multi-file b/tests/word-multi-file
index 0bafc09..22bcdef 100644
--- a/tests/word-multi-file
+++ b/tests/word-multi-file
@@ -4,20 +4,20 @@
 : ${srcdir=.}
 . "$srcdir/init.sh"; path_prepend_ ../src
 
-mkdir a || framework_failure
+mkdir a || framework_failure_
 ( cd a \
     && echo aa bb cc > 1 \
     && echo bb dd ff > 2 \
     && echo ff gg hh > 3 \
     && echo bb xx zz > 4 \
-) || framework_failure
+) || framework_failure_
 
-cat << \EOF > exp1 || framework_failure
+cat << \EOF > exp1 || framework_failure_
 a/1:aa bb cc
 a/2:bb dd ff
 a/4:bb xx zz
 EOF
-sed s/..// exp1 > exp2 || framework_failure
+sed s/..// exp1 > exp2 || framework_failure_
 
 fail=0
 grep -rw bb a > out || fail=1

-----------------------------------------------------------------------

Summary of changes:
 tests/case-fold-backref    |    2 +-
 tests/case-fold-char-class |    4 ++--
 tests/case-fold-char-range |    4 ++--
 tests/case-fold-char-type  |    4 ++--
 tests/char-class-multibyte |    4 ++--
 tests/dfaexec-multibyte    |    4 ++--
 tests/init.sh              |    1 +
 tests/max-count-vs-context |    4 ++--
 tests/word-multi-file      |    8 ++++----
 9 files changed, 18 insertions(+), 17 deletions(-)


hooks/post-receive
-- 
grep




reply via email to

[Prev in Thread] Current Thread [Next in Thread]